package com.intland.codebeamer.functionaltest.page.systemadmin;

import com.intland.codebeamer.functionaltest.page.BasePage;
import org.openqa.selenium.By;

import static com.codeborne.selenide.Selenide.$;
import static com.codeborne.selenide.Selenide.page;

/**
 * Copyright by Intland Software
 * <p>
 * All rights reserved.
 * <p>
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Intland.
 */
public class EditLicensePage extends BasePage{

    public void fillLicense(String license){
        $("#newLicense").setValue(license);
    }

    public VerifyNewLicensePage clickOnNext(){
        $(By.xpath(".//input[@value='Next']")).click();
        return page(VerifyNewLicensePage.class);
    }

    public void clickOnCancel() {
        $(By.xpath(".//input[@value='Cancel']")).click();
    }
}
